local ActivityRuleLayer3 = class("ActivityRuleLayer3", cc.Layer)

local resFileName = "activities/uibehave_3/activity_rule_2.csb"

function ActivityRuleLayer3:ctor(super)
	self:loadUI()
	
	local function onNodeEvent(event)
        if event == "enter" then
            self:onEnter()
        end 
        if event == "exit" then
            self:onExit()
        end
		if event == "enterTransitionFinish" then
			self:onEnterTransitionFinish()
		end
    end

    self:registerScriptHandler(onNodeEvent)
end

function ActivityRuleLayer3:loadUI()
	self._rootNode = cc.CSLoader:createNode(resFileName)
	
	if self._rootNode == nil then
		return
	end
	self._rootNode:setContentSize(cc.Director:getInstance():getWinSize())
    ccui.Helper:doLayout(self._rootNode)
    self:addChild(self._rootNode)
	
    self._btn1 = theGameClientLibUtil:seekChildByName(self._rootNode, "btn_1")
    self._btn1:addClickEventListener(function() self:onBtnClick(1) end)
	self._btn1:setEnabled(false)

    self._btn2 = theGameClientLibUtil:seekChildByName(self._rootNode, "btn_2")
    self._btn2:addClickEventListener(function() self:onBtnClick(2) end)
	self._btn2:setEnabled(false)

    self._btn3 = theGameClientLibUtil:seekChildByName(self._rootNode, "btn_3")
	self._btn3:addClickEventListener(function() self:onBtnClick(3) end)
	self._btn3:setEnabled(false)
end

function ActivityRuleLayer3:onEnter()
	theHallEventMgr:registerUiHandler(HallEventType.EVENT_ACTIVITY_API_1, self, handler(self, self.handleExchangeResult))
	theHallEventMgr:registerUiHandler(HallEventType.EVENT_ACTIVITY_API_1_WHETHER_EXCHANGE, self, handler(self, self.handleCheckExchange))
	
	theK7ApiRequestLua:requestCheckActivity1()
end

function ActivityRuleLayer3:onExit()
	theHallEventMgr:removeUiHandler(self)
end

function ActivityRuleLayer3:onBtnClick(exchangeType)
    theK7ApiRequestLua:requestActivity1(exchangeType)
	self._exchangeType = exchangeType
end

function ActivityRuleLayer3:handleCheckExchange(requestSucceed, output)
	output = output or {}
	if requestSucceed == false or next(output) == nil then
		MessageBoxLayer:show(ClientString.STRING_FAILED_TO_GET_DATA)
        return
    end
	
	if output.IsSuccess == true then
		local items = output.Items or {}
        for i,item in pairs(items) do
            if item.Check == true then
                if 1 == item.Type then
                    self._btn1:setEnabled(true)
                elseif 2 == item.Type then
                    self._btn2:setEnabled(true)
                elseif 3 == item.Type then
                    self._btn3:setEnabled(true)
                end
            end
        end
	end
end

function ActivityRuleLayer3:handleExchangeResult(requestSucceed, output)
	output = output or {}
	if requestSucceed == false or next(output) == nil then
		MessageBoxLayer:show(ClientString.STRING_FAILED_TO_GET_DATA)
        return
    end
	
	if output.IsSuccess == false then
        local showMsg = output.Message
        if showMsg == nil then
            showMsg= ClientString.STRING_FAILED_TO_GET_DATA
        end
        MessageBoxLayer:show(showMsg)
    else
		local ReceiveRewardsLayer = require("hall.uibehave_3.ui.ReceiveRewardsLayer")
		local reward = {}
		local layer
		if 1 == self._exchangeType then
		    theGameClientLibUtil:rewardConfig(reward, 1, "activities/uibehave_3/images/award_1.png", nil, true)
			layer = ReceiveRewardsLayer.new(nil, reward)
			self._btn1:setEnabled(false)
		elseif 2 == self._exchangeType then
		    theGameClientLibUtil:rewardConfig(reward, 1, "activities/uibehave_3/images/award_2.png", nil, true)
			layer = ReceiveRewardsLayer.new(nil, reward)
			self._btn2:setEnabled(false)
		elseif 3 == self._exchangeType then
		    theGameClientLibUtil:rewardConfig(reward, 1, "activities/uibehave_3/images/award_3.png", "电影票", true)
			layer = ReceiveRewardsLayer.new(nil, reward)
			self._btn3:setEnabled(false)
		end
		if layer then
			cc.Director:getInstance():getRunningScene():addChild(layer)
		end
    end
end

return ActivityRuleLayer3