create table DBVersion (
VERSION_1_0_0        SMALLINT
);

create table UserBase (
USER_ID              INTEGER                        primary key autoincrement,
USER_NAME            VARCHAR(64)                    not null,
PASSWORD             VARCHAR(64)                    not null,
LOGIN_DATE           DATE,
LOGIN_IP             INTEGER,
REGISTER_DATE        DATE                           not null,
REGISTER_IP          INTEGER                        not null,
TOTAL_LOGIN_TIMES    INTEGER                        not null default 0,
LOGOUT_DATE          DATE
);

create table UserDetail (
USER_ID              INTEGER                        not null,
NICKNAME             VARCHAR(64)                    not null,
FACE_ID              INTEGER                        not null default 0,
primary key (USER_ID),
foreign key (USER_ID)
      references UserBase (USER_ID)
);

create table UserGameData (
USER_ID              INTEGER                        not null,
USER_TYPE            INTEGER                        not null default 0,
WEALTH               INTEGER                        not null default 0,
HAPPY_BEANS          INTEGER                        not null default 0,
GAME_SCORE           INTEGER                        not null default 0,
WIN_ROUND            INTEGER                        not null default 0,
LOST_ROUND           INTEGER                        not null default 0,
DRAW_ROUND           INTEGER                        not null default 0,
FLEE_ROUND           INTEGER                        not null default 0,
BREAK_ROUND          INTEGER                        not null default 0,
PLAY_DURATION        INTEGER                        not null default 0,
ONLINE_DURATION      INTEGER                        not null default 0,
primary key (USER_ID),
foreign key (USER_ID)
      references UserBase (USER_ID)
);

INSERT INTO UserBase(USER_ID,USER_NAME,PASSWORD,REGISTER_DATE,REGISTER_IP)
VALUES(1000,'双升达人','',datetime('now', 'localtime'),0);
INSERT INTO UserDetail(USER_ID,NICKNAME,FACE_ID)
VALUES(1000,'双升达人',ABS(RANDOM())%10);
INSERT INTO UserGameData(USER_ID,USER_TYPE)
VALUES(1000,-50);

INSERT INTO UserBase(USER_ID,USER_NAME,PASSWORD,REGISTER_DATE,REGISTER_IP)
VALUES(1001,'印度阿三','',datetime('now', 'localtime'),0);
INSERT INTO UserDetail(USER_ID,NICKNAME,FACE_ID)
VALUES(1001,'印度阿三',ABS(RANDOM())%10);
INSERT INTO UserGameData(USER_ID,USER_TYPE)
VALUES(1001,-50);

INSERT INTO UserBase(USER_ID,USER_NAME,PASSWORD,REGISTER_DATE,REGISTER_IP)
VALUES(1002,'豫游棋牌','',datetime('now', 'localtime'),0);
INSERT INTO UserDetail(USER_ID,NICKNAME,FACE_ID)
VALUES(1002,'豫游棋牌',ABS(RANDOM())%10);
INSERT INTO UserGameData(USER_ID,USER_TYPE)
VALUES(1002,-50);

INSERT INTO UserBase(USER_ID,USER_NAME,PASSWORD,REGISTER_DATE,REGISTER_IP)
VALUES(1003,'魅力小子','',datetime('now', 'localtime'),0);
INSERT INTO UserDetail(USER_ID,NICKNAME,FACE_ID)
VALUES(1003,'魅力小子',ABS(RANDOM())%10);
INSERT INTO UserGameData(USER_ID,USER_TYPE)
VALUES(1003,-50);

INSERT INTO UserBase(USER_ID,USER_NAME,PASSWORD,REGISTER_DATE,REGISTER_IP)
VALUES(1004,'功夫熊猫','',datetime('now', 'localtime'),0);
INSERT INTO UserDetail(USER_ID,NICKNAME,FACE_ID)
VALUES(1004,'功夫熊猫',ABS(RANDOM())%10);
INSERT INTO UserGameData(USER_ID,USER_TYPE)
VALUES(1004,-50);