local GameBoxRuleLayer340 =class("GameBoxRuleLayer340",cc.Layer)

local resFileName = "rules/uibehave_3/game_box_rule_340.csb"

function GameBoxRuleLayer340:ctor(super)
    self._gameID = 340
    self:loadUI()
end

function GameBoxRuleLayer340:loadUI()
    local isExist =  cc.FileUtils:getInstance():isFileExist(resFileName)
    if(isExist == false) then
        return
    end
    self._rootNode = cc.CSLoader:createNode(resFileName)
 --   self._rootNode:setContentSize(cc.Director:getInstance():getWinSize())
 --   ccui.Helper:doLayout(self._rootNode)
    self:addChild(self._rootNode)

    self._bg = self._rootNode:getChildByName("setting_bg");
    self._score_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_0");
	self._score_checkBox_0:setSelected(true)
	self._selectedScoreName = "score_checkBox_0"
	self._createOption = "QingLongTimes=20"
    self._score_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_1");
	self._score_checkBox_1:setSelected(false)
    self._score_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "score_checkBox_2");
	self._score_checkBox_2:setSelected(false)
	
    self._round_checkBox_0 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_0");
	self._round_checkBox_0:setSelected(true)
	self._selectedRoundName = "round_checkBox_0"
	self._roundValue = 4
    self._round_checkBox_1 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_1");
	self._round_checkBox_1:setSelected(false)
    self._round_checkBox_2 = ccui.Helper:seekWidgetByName(self._bg, "round_checkBox_2");
	self._round_checkBox_2:setSelected(false)
    self._roomcard_label   = ccui.Helper:seekWidgetByName(self._bg, "roomcard_label");
    self._roomcard_label:setString("1")
	self._tip = self._roomcard_label:getChildByName("tip")
	self._tip:setVisible(theMyself:GetDiamond() < 1)
	if theMyself:GetDiamond() < 1 then
		self._roomcard_label:setTextColor(ccc3(255,64,64))
	else
		self._roomcard_label:setTextColor(ccc3(71,191,60))
	end
	

    self._score_checkBox_0:addEventListener(
        function(sender,eventType)
			self:onScoreChecked(sender, eventType)
			self._createOption = "QingLongTimes=20"
        end
    )

      self._score_checkBox_1:addEventListener(
        function(sender,eventType)
			self:onScoreChecked(sender, eventType)
			self._createOption = "QingLongTimes=60"
        end
    )

      self._score_checkBox_2:addEventListener(
        function(sender,eventType)
			self:onScoreChecked(sender, eventType)
			self._createOption = "QingLongTimes=100"
        end
    )

      self._round_checkBox_0:addEventListener(
        function(sender,eventType)
            self:onRoundChecked(sender,eventType)
		    self._roomcard_label:setString("1")
			self._tip:setVisible(theMyself:GetDiamond() < 1)
			if theMyself:GetDiamond() < 1 then
				self._roomcard_label:setTextColor(ccc3(255,64,64))
			else
				self._roomcard_label:setTextColor(ccc3(71,191,60))
			end
		    self._roundValue = 4
        end
    )

      self._round_checkBox_1:addEventListener(
        function(sender,eventType)
            self:onRoundChecked(sender,eventType)
		    self._roomcard_label:setString("2")
		    self._tip:setVisible(theMyself:GetDiamond() < 2)
			if theMyself:GetDiamond() < 2 then
				self._roomcard_label:setTextColor(ccc3(255,64,64))
			else
				self._roomcard_label:setTextColor(ccc3(71,191,60))
			end
		    self._roundValue = 8
        end
    )

      self._round_checkBox_2:addEventListener(
        function(sender,eventType)
            self:onRoundChecked(sender,eventType)
		    self._roomcard_label:setString("3")
		    self._tip:setVisible(theMyself:GetDiamond() < 3)
			if theMyself:GetDiamond() < 3 then
				self._roomcard_label:setTextColor(ccc3(255,64,64))
			else
				self._roomcard_label:setTextColor(ccc3(71,191,60))
			end
		   self._roundValue = 12
        end
    )

	
	
end

function GameBoxRuleLayer340:onScoreChecked(sender, eventType)
	sender:setSelected(true)
	local name = sender:getName()
	if (name ~= self._selectedScoreName) then
		self._score_checkBox_select = ccui.Helper:seekWidgetByName(self._bg, self._selectedScoreName);
		self._score_checkBox_select:setSelected(false);
		self._selectedScoreName = name
	end
end

function GameBoxRuleLayer340:onRoundChecked(sender,eventType)
    sender:setSelected(true)
	local name = sender:getName()
	if (name ~= self._selectedRoundName) then
		self._round_checkBox_select = ccui.Helper:seekWidgetByName(self._bg, self._selectedRoundName);
		self._round_checkBox_select:setSelected(false);
		self._selectedRoundName = name
	end
end

function GameBoxRuleLayer340:getCreateBoxInfo()
    local info = {}
    info.boxRound = self._roundValue
    info.baseScore = 1
	info.duration = 0
	info.payRule = 0
	info.options = self._createOption
	return info
end

return GameBoxRuleLayer340
